This documentation applies to the 8.1 version of Remedy Action Request System, which is in "End of Version Support."

To view the latest version, select the version from the Product version menu.

Service Pack 2: 8.1.02

This table provides information about fixes and updates in this service pack, and provides instructions for downloading and installing the service pack.

Click here to create a PDF version of the Service Pack 2 release notes.

Updates in Service Pack 2

To learn about new features added to BMC Remedy AR System in Service Pack 2, see Updates in Service Pack 2.

Known and corrected issues

For information about issues corrected in this service pack, see Known and corrected issues.

Downloading the service pack

For download instructions, see Downloading the installation files.

Installing the service pack

For information about installing the Service Pack 2, see Installing Service Pack 2.

 

Was this page helpful? Yes No Submitting... Thank you

Comments

  1. Ben Davies

    Is SP2 available yet? I don't see it on EPD

    Jun 19, 2014 06:39
  2. Hemant Baliwala

    Hi Ben, 

    SP2 is not available yet. The page was published by mistake. 

    Thanks, 

    Hemant

    Jun 19, 2014 06:50
  3. Thomas Hammer

    Can you, please, be more specific on browser support? Are these browsers supported in addition to the previous ones or does this statement mean end of support for Mozilla Firefox and end of support for IE8? Thank you.

    Aug 12, 2014 03:09
    1. Surabhee Kulkarni

      Hello Thomas,

      SP2 has not been released yet. This page is published for internal testing purposes.

      We will publish the page again when SP2 is released.

      Thanks,
      Surabhee

      Aug 12, 2014 03:29
  4. Gabriel Gasparrini

    Hello.

    Can I upgrade an AR Server from  8.1.00 directly to 8.1.02??

    Or do I have to update first to SP1 (8.1.01) and then apply the SP2 (8.1.02)

    Thanks

     

     

    Sep 02, 2014 11:44
    1. Hemant Baliwala

      Hi Gabriel, 

      You can directly upgrade AR Server from 8.1.00 to 8.1.02. 

      https://docs.bmc.com/docs/display/public/ars81/Downloading+the+installation+files

      Thanks, 

      Hemant

      Sep 02, 2014 11:37
  5. Martin Penev

    Hi,

    In the AR Server 8.1 SP2 documentation I could not find any instructions on how to update Mid-Tier from an earlier version to 8.1 SP2. I think that it will be good if you add some information about that.

    Since Tomcat 7 is now used for the Mid-Tier, I guess that the best approach would be a clear Mid-Tier installation to be performed so that you do not end up with two Tomcat instances and possible port conflicts. Is that correct?

    Best Regards,

    Martin

    Sep 03, 2014 03:58
  6. Hemant Baliwala

    Hi Martin, 

    Thanks for your comment.

    The installer will prompt you if you want to use existing or new tomcat. If you choose to go with the new tomact, you will have to specify the location of tomact and the proceed. After the installation is complete the Tomcat 6 service will be disabled. For instructions, refer to the following topic:

    Upgrading AR System with overlays

    Thanks, 

    Hemant

     

    Sep 03, 2014 04:23
    1. Martin Penev

      Hi Hemant,

      Thanks for the quick reply. I was able to properly update from Mid-Tier 8.1.00 to Mid-Tier 8.1.02 and the old Tomcat 6 was automatically disabled.

      What I had a problem with was the SSO. I think that it could be noted somewhere in the documentation, that if BMC Atrium SSO is being used, the SSO agent should be redeployed after the Mid-Tier is updated.

      Best Regards,

      Martin

      Sep 03, 2014 07:27
      1. Prachi Kalyani

        Hi Martin,

        Thanks for your comment. I have updated the following note.

        Note

        With Service Pack 2, the Tomcat is upgraded to 7.0.53. Consider the following before you begin the installation.

        • Ensure that the JAVA_HOME is set to a correct JDK path or is left blank.
        • Take a backup of the configuration files and <Existing_Tomcat_Install_Directory>/webapps folder. You need to these files migrate post upgrade.
        • Post installation/upgrade, Tomcat 7.0 folder is created with the mid tier deployment files. You must migrate you backed up configuration this to this folder.
        • For fresh installation: If you have already installed Tomcat on UNIX, ensure that the localhost folder is present in <TOMCAT_DIR>/conf/Catalina/localhost otherwise start the tomcat manually before starting the mid tier fresh installation.
        • If you have BMC Atrium Single Sign-On in your environment, you must redeploy BMC Atrium Single Sign-On after Mid tier upgrade.
        Sep 03, 2014 07:49
        1. Martin Penev

          Hi Prachi,

          Thanks for the quick reaction.

          Only the agent should be deployed, not the whole SSO. Maybe it will be good to modify the note to the following for clarification:

          If you have BMC Atrium Single Sign-On in your environment, you must redeploy BMC Atrium Single Sign-On agent after Mid tier upgrade.

          Best Regards,

          Martin

          Sep 03, 2014 08:03
          1. Prachi Kalyani

            Thank you Martin. I have made the change.

            Thanks,

            Prachi

            Sep 03, 2014 11:24
  7. Gabriel Gasparrini

    I have a question. 

    Reviewing the document of  service pack 2 (8.1.02), you can see the corrected issues in the new version and previous. 

    If  in the table appears the corrected issues  for example in version 8.1.00.003. Must I assume that they are also corrected in the SP 2 (8.1.02)? Or the ones with the 8.1.00.003 are not corrected in the 8.1.02?

     

    Thanks

    Sep 04, 2014 07:56
    1. Hemant Baliwala

      Hi Gabriel, 

      All the fixes made in the patches are rolled up in the next service pack. SP2 will include all the fixes. 

      Thanks, 

      Hemant

      Sep 05, 2014 03:23
      1. Gabriel Gasparrini

        Thank you Hemant

        Sep 05, 2014 01:39
  8. Vinod Gaidhani

    Hi Team,

     

    Can you please confirm if IE 8 is still supported and no major issues while using 8.1 SP2.

     

    Thanks.

    Mar 06, 2015 03:15
    1. Prachi Kalyani

      Hello Vinod,

      Thank you for your comment. I will verify this with the concerned SME and will get back to you soon.

      Thanks,

      Prachi

      Mar 06, 2015 07:17
    1. Prachi Kalyani

      Hello Vinod,

      Internet Explorer 8 is still supported for BMC Remedy AR System 8.1 SP2.

      Thanks,

      Prachi

      Mar 09, 2015 07:34
  9. Douglas Reif

    Just a note about release dates.  Per https://webapps.bmc.com/support/faces/az/prodallversions.jsp?seqid=108018  8.1 SP2 was released 29-Aug-2014.  As of today, 4/23/15, Patch 1 is available for 8.1 SP2. 

    Apr 23, 2015 03:23
  10. Rafael Abreu

    Hello,
    I have a question after migration:

    Scenario: We are doing the migration from version 7.6.04 to 8.1.02. We found, for example, that Base Element suffered division to another Form  'AST: Attributes'. That is, the Base Element had some of its fields 'migrated/divided' to another form, the AST: Attributes.

     

    The correct question is: Are there other forms that have suffered DIVISION/MIGRATION from 8.1.02? Do you have a list of forms that were divided? 

     

    Regards,


    Mar 15, 2016 07:41
    1. Poonam Morti

      I will verify this with the SME and get back to you.

      Thanks,

      Poonam

      Mar 16, 2016 02:22
    1. Poonam Morti

      Hi Rafael,

      DDM covers the product changes between the versions and you do not have to worry about it. You can find the information for the list of application forms in the Packages folder.

      Note: Updating or deleting any xml or arm file can cause issues with DDM as these files are the source code for DDM to know specific forms to migrate with specific rules.

      Thanks,

      Poonam

       

      Apr 05, 2016 11:42